Subject: bug#32709: closed (Re: bug#32709: Clojure doesn't provide "clojure" executable)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 07 Dec 2020 00:24:02 +0000

Your bug report

#32709: Clojure doesn't provide "clojure" executable

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32709: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32709
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32709: Clojure doesn't provide "clojure" executable
From: Ben Sturmfels <[email-masked]>
To: Ben Sturmfels <[email-masked]>
Cc: [email-masked]
Date: Mon, 07 Dec 2020 11:22:53 +1100
List-Id: <debbugs-submit.debbugs.gnu.org>

Jesse Gibbons has recently added the "clojure" executable wrapper. This
makes the Guix `clojure` behave similarly to the Debian `clojure`.
Closing this issue.

(Note that this behaviour is still a little different to the bundle
provided by the upstream Clojure project which include custom `clj` and
`clojure` scripts from https://github.com/clojure/brew-install, which
include auto-downloading of dependencies and such.)

Subject: Clojure doesn't provide "clojure" executable
From: Ben Sturmfels <[email-masked]>
To: [email-masked]
Date: Wed, 12 Sep 2018 11:57:39 +1000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Folks,

When I install the "clojure" package, I can't seem to just run `clojure`
and get an interpreter like I would on Debian.

My Java is a bit rusty, but I found I could get it going by installing the "icedtea" package and running:

  java -cp ~/.guix-profile/share/java/clojure-1.9.0.jar clojure.main

or

  java -jar ~/.guix-profile/share/java/clojure-1.9.0.jar

which is a bit of a mouthful.

Regards,
Ben